Skip to main content
PATCH
/
admin
/
v1
/
networks
/
{network_id}
/
posts
/
{id}
/
Update an existing post or article
curl --request PATCH \
  --url https://api.mn.co/admin/v1/networks/{network_id}/posts/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api.mn.co/admin/v1/networks/{network_id}/posts/{id}/"

payload = {
"title": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>'})
};

fetch('https://api.mn.co/admin/v1/networks/{network_id}/posts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "1234",
  "created_at": "2026-07-09T23:52:14+00:00",
  "updated_at": "2026-07-09T23:52:14+00:00",
  "creator_id": 123,
  "space_id": 123,
  "summary": "<string>",
  "description": "<string>",
  "post_type": "<string>",
  "images": [
    "<string>"
  ],
  "title": "<string>",
  "status": "<string>",
  "published_at": "2026-07-09T23:52:15+00:00",
  "last_activity_at": "2026-07-09T23:52:15+00:00",
  "content_type": "<string>",
  "comments_enabled": true,
  "permalink": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer<uint64>
required

The ID of the post to update

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Query Parameters

notify
boolean

Whether or not to notify the network

Body

application/json

Submit results as JSON

Request to update a post or article

title
string

The title of the post

description
string

The description/body content of the post

Response

Returns the updated post on success

Posts are created by users within spaces

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-07-09T23:52:14+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-07-09T23:52:14+00:00"

creator_id
integer<uint64>
required

The ID of the user that created the post

space_id
integer<uint64>
required

The ID of the space where the post was created

summary
string
required

A short summary of the post's contents

description
string
required

The posts description

post_type
string
required

The type of post

images
string[]
required

An array of image URLs associated with the post

title
string
required

The title of the post

status
string
required

The post's current status

published_at
string<date-time>
required

The date the post was published

Example:

"2026-07-09T23:52:15+00:00"

last_activity_at
string<date-time>
required

The time the of last activity on the post

Example:

"2026-07-09T23:52:15+00:00"

content_type
string
required

The type of post content attached to the post

comments_enabled
boolean
required

Whether or not comments are enabled on this post

The post's unique address within the network